#include <eikenv.h>
#include <e32def.h>
#include <eikimage.h>
#include <e32std.h>
#include <barsread.h>		// TResourceReader

#include "bjackicon.h"
#include "config.h"

#if !defined(__VIEWBASE_H__)
#define __VIEWBASE_H__

class CViewBase : public CCoeControl
{
public:
	CViewBase(CConfig *cData);
	~CViewBase();
	void doViewActivated();
	void drawBJackIcon(TBool draw);
	void initBJackIcon();
	void generateZoomFont(TInt zoomLevel);
	void releaseFont();

	CEikImage *bjackIconLabel[NUM_BJACK_ICONS];
	TPoint bjackIconPosition;
	TUint activateCount;
	CConfig *configData;
	TInt viewId;
	CFont *font;
	TBool firstTime;
	
	TFileName appPathNoExt;
	CArrayPtrSeg<CCoeControl>* controlsArray;
	int CountComponentControls() const;
	CCoeControl* ComponentControl(int aIndex) const;
	void Draw(const TRect& aRect) const;
};

#endif